Sign inGet started

Automation Rules

GET
/workspaces/{workspaceId}/inbox/automation/rules
List inbox automation rules
Queryparameters
trigger
string
Rule trigger
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
enabled
boolean
Rule enabled state
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.name
string
verplicht
results.description
string
results.categoryId
string
verplicht
results.trigger
string
verplicht
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
results.triggerArguments
object
results.orderPosition
number
results.enabled
boolean
verplicht
results.conditions
object
verplicht
Onderliggende attributen tonen
results.conditions.all
array of object
Onderliggende attributen tonen
results.conditions.all.name
string
verplicht
results.conditions.all.value
object
results.conditions.any
array of object
Onderliggende attributen tonen
results.conditions.any.name
string
verplicht
results.conditions.any.value
object
results.actions
array of object
Onderliggende attributen tonen
results.actions.name
string
verplicht
results.actions.value
object
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/reorder
Reorder automation rule
Verzoek-payload
trigger
string
verplicht
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
rules
array of object
verplicht
Onderliggende parameters tonen
rules.ruleId
string
verplicht
rules.newCategoryId
string
rules.newOrderPosition
number
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Get automation rule
Antwoord-payload
id
string
verplicht
name
string
verplicht
description
string
categoryId
string
verplicht
trigger
string
verplicht
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
verplicht
conditions
object
verplicht
Onderliggende attributen tonen
conditions.all
array of object
Onderliggende attributen tonen
conditions.all.name
string
verplicht
conditions.all.value
object
conditions.any
array of object
Onderliggende attributen tonen
conditions.any.name
string
verplicht
conditions.any.value
object
actions
array of object
Onderliggende attributen tonen
actions.name
string
verplicht
actions.value
object
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Update automation rule
Verzoek-payload
name
string
description
string
enabled
boolean
trigger
string
triggerArguments
object
categoryId
string
conditions
object
Onderliggende parameters tonen
conditions.all
array of object
Onderliggende parameters tonen
conditions.all.name
string
verplicht
conditions.all.value
object
conditions.any
array of object
Onderliggende parameters tonen
conditions.any.name
string
verplicht
conditions.any.value
object
actions
array of object
Onderliggende parameters tonen
actions.name
string
verplicht
actions.value
object
Antwoord-payload
id
string
verplicht
name
string
verplicht
description
string
categoryId
string
verplicht
trigger
string
verplicht
Possible values: feedItemCreated, feedItemUpdated, messageReceived, messageSend, agentStatusUpdated, rootItemClosed, slaWarning, slaBreached, requiredSkillsUpdated, tagsAdded, tagsRemoved, noNewMessagesFor
triggerArguments
object
orderPosition
number
enabled
boolean
verplicht
conditions
object
verplicht
Onderliggende attributen tonen
conditions.all
array of object
Onderliggende attributen tonen
conditions.all.name
string
verplicht
conditions.all.value
object
conditions.any
array of object
Onderliggende attributen tonen
conditions.any.name
string
verplicht
conditions.any.value
object
actions
array of object
Onderliggende attributen tonen
actions.name
string
verplicht
actions.value
object
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}
Delete automation rule
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/rules/{automationRuleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/categories
List inbox automation categories
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.name
string
verplicht
results.orderPosition
number
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/inbox/automation/categories
Create automation category
Verzoek-payload
name
string
verplicht
Antwoord-payload
id
string
verplicht
name
string
verplicht
orderPosition
number
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/reorder
Reorder automation categories
Verzoek-payload
categories
array of object
verplicht
Onderliggende parameters tonen
categories.categoryId
string
verplicht
categories.newOrderPosition
number
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/reorder' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Update automation category
Verzoek-payload
name
string
verplicht
Antwoord-payload
id
string
verplicht
name
string
verplicht
orderPosition
number
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}
Delete automation category
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/categories/{categoryId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Get current new-item reply configuration.
Antwoord-payload
projectId
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PUT
/workspaces/{workspaceId}/inbox/automation/new-item-reply
Update or create new-item reply configuration.
Verzoek-payload
projectId
string
verplicht
Codevoorbeeld
curl -X PUT 'https://api.bird.com/workspaces/{workspaceId}/inbox/automation/new-item-reply' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'